libgdamm 4.99.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Gnome::Gda::HolderError Class Reference
Inheritance diagram for Gnome::Gda::HolderError:
[legend]
Collaboration diagram for Gnome::Gda::HolderError:
[legend]

List of all members.

## Public Types
enum | Code { HOLDER_STRING_CONVERSION_ERROR, HOLDER_VALUE_TYPE_ERROR, HOLDER_VALUE_NULL_ERROR }
## Public Member Functions
| HolderError (Code error_code, const Glib::ustring& error_message)
| HolderError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Gnome::Gda::HolderError::Code

Enumerator:

  HOLDER_STRING_CONVERSION_ERROR |
  HOLDER_VALUE_TYPE_ERROR |
  HOLDER_VALUE_NULL_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::HolderError::HolderError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::HolderError::HolderError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::HolderError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/holder.h